Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LexCompleteState Struct Reference

`#include <stdservice.h>`

List of all members.

## Public Attributes
yy_buffer_state * | yy_current_buffer
char | yy_hold_char
int | yy_n_chars
int | yyleng
char * | yy_c_buf_p
int | yy_init
int | yy_start
int | yy_did_buffer_switch_on_eof
FILE * | yyin
FILE * | yyout
char * | yytext
int | yy_last_accepting_state
char * | yy_last_accepting_cpos
int | yy_more_flag
int | yy_more_len
int | yy_start_stack_ptr
int | yy_start_stack_depth
int * | yy_start_stack
int * | yy_state_buf
int * | yy_state_ptr
char * | yy_full_match
int * | yy_full_state
int | yy_full_lp
int | yy_lp
int | yy_looking_for_trail_begin

## Member Data Documentation

yy_buffer_state* LexCompleteState::yy_current_buffer

| Definition at line 440 of file stdservice.h.

char LexCompleteState::yy_hold_char

| Definition at line 442 of file stdservice.h.

int LexCompleteState::yy_n_chars

| Definition at line 443 of file stdservice.h.

int LexCompleteState::yyleng

| Definition at line 444 of file stdservice.h.

char* LexCompleteState::yy_c_buf_p

| Definition at line 447 of file stdservice.h.

int LexCompleteState::yy_init

| Definition at line 448 of file stdservice.h.

int LexCompleteState::yy_start

| Definition at line 449 of file stdservice.h.

int LexCompleteState::yy_did_buffer_switch_on_eof

| Definition at line 454 of file stdservice.h.

FILE* LexCompleteState::yyin

| Definition at line 455 of file stdservice.h.

FILE* LexCompleteState::yyout

| Definition at line 456 of file stdservice.h.

char* LexCompleteState::yytext

| Definition at line 458 of file stdservice.h.

int LexCompleteState::yy_last_accepting_state

| Definition at line 459 of file stdservice.h.

char* LexCompleteState::yy_last_accepting_cpos

| Definition at line 460 of file stdservice.h.

int LexCompleteState::yy_more_flag

| Definition at line 465 of file stdservice.h.

int LexCompleteState::yy_more_len

| Definition at line 466 of file stdservice.h.

int LexCompleteState::yy_start_stack_ptr

| Definition at line 469 of file stdservice.h.

int LexCompleteState::yy_start_stack_depth

| Definition at line 470 of file stdservice.h.

int* LexCompleteState::yy_start_stack

| Definition at line 471 of file stdservice.h.

int* LexCompleteState::yy_state_buf

| Definition at line 473 of file stdservice.h.

int* LexCompleteState::yy_state_ptr

| Definition at line 474 of file stdservice.h.

char* LexCompleteState::yy_full_match

| Definition at line 476 of file stdservice.h.

int* LexCompleteState::yy_full_state

| Definition at line 477 of file stdservice.h.

int LexCompleteState::yy_full_lp

| Definition at line 478 of file stdservice.h.

int LexCompleteState::yy_lp

| Definition at line 480 of file stdservice.h.

int LexCompleteState::yy_looking_for_trail_begin

| Definition at line 481 of file stdservice.h.

The documentation for this struct was generated from the following file:

- Tools/Xabsl2/yabsl/vsyabsl/stdservice.h